#ifndef FORMCAPTUREIMAGESELECT_H
#define FORMCAPTUREIMAGESELECT_H

#include <QWidget>

#include <QImage>

#include "common.h"



namespace Ui {
class FormCaptureImageSelect;
}

class FormCaptureImageSelect : public QWidget
{
    Q_OBJECT

public:
    explicit FormCaptureImageSelect(QWidget *parent = nullptr);
    virtual ~FormCaptureImageSelect();

    virtual void paintEvent(QPaintEvent *event);
    virtual void resizeEvent(QResizeEvent *event);

    virtual void mousePressEvent(QMouseEvent *event);
    virtual void mouseReleaseEvent(QMouseEvent *event);
    virtual void wheelEvent(QWheelEvent *event);

    void SetCaptureImage(CAPTURE_IMAGE* pCaptureImage);

    void Init();

public slots:
    void ClickSelect();

signals:
    void SingleDown();
    void SingleUp();
    void ThumbnailClicked(void* pData);

protected:
    CAPTURE_IMAGE* m_pCaptureImage;
    int m_nIndexViewer;

    QWidget* m_pParentWidget;

    QImage* m_pImage;



private:
    Ui::FormCaptureImageSelect *ui;
};

#endif // FORMCAPTUREIMAGESELECT_H
